# Copyright 2017 OpenStack Foundation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Add before_end into computehost_reservations table

Revision ID: ba75b766b64e
Revises: 8805be233864
Create Date: 2017-07-26 03:03:19.909249

"""

# revision identifiers, used by Alembic.
revision = 'ba75b766b64e'
down_revision = '8805be233864'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('computehost_reservations',
                  sa.Column('before_end', sa.String(length=36),
                            nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('computehost_reservations', 'before_end')
    # ### end Alembic commands ###
